Index: src/unittests/logunittest.cpp
===================================================================
--- src/unittests/logunittest.cpp	(revision 474961217a06b448d3cee3f8771fba98ec83555f)
+++ src/unittests/logunittest.cpp	(revision a67d19a01c3b0bbb8bd6d255ed9a4ffbe37f3138)
@@ -35,15 +35,15 @@
 {
   logger::getInstance()->setVerbosity(2);
-  Log() << Verbose(0) << "Verbosity level is set to 2." << endl;
-  Log() << Verbose(0) << "Test level 0" << endl;
-  Log() << Verbose(1) << "Test level 1" << endl;
-  Log() << Verbose(2) << "Test level 2" << endl;
-  Log() << Verbose(3) << "Test level 3" << endl;
-  Log() << Verbose(4) << "Test level 4" << endl;
+  DoLog(0) && (Log() << Verbose(0) << "Verbosity level is set to 2." << endl);
+  DoLog(0) && (Log() << Verbose(0) << "Test level 0" << endl);
+  DoLog(1) && (Log() << Verbose(1) << "Test level 1" << endl);
+  DoLog(2) && (Log() << Verbose(2) << "Test level 2" << endl);
+  DoLog(3) && (Log() << Verbose(3) << "Test level 3" << endl);
+  DoLog(4) && (Log() << Verbose(4) << "Test level 4" << endl);
 
-  Log() << Verbose(0) << "Output a log message." << endl;
+  DoLog(0) && (Log() << Verbose(0) << "Output a log message." << endl);
   DoeLog(0) && (eLog()<< Verbose(0) << "Output an error message." << endl);
   setVerbosity(3);
-  Log() << Verbose(4) << "This should not be printed." << endl;
+  DoLog(4) && (Log() << Verbose(4) << "This should not be printed." << endl);
   DoeLog(4) && (eLog()<< Verbose(4) << "This should not be printed." << endl);
 };
Index: src/unittests/memoryallocatorunittest.cpp
===================================================================
--- src/unittests/memoryallocatorunittest.cpp	(revision 474961217a06b448d3cee3f8771fba98ec83555f)
+++ src/unittests/memoryallocatorunittest.cpp	(revision a67d19a01c3b0bbb8bd6d255ed9a4ffbe37f3138)
@@ -46,5 +46,5 @@
   char* buffer3 = NULL;
   buffer3 = Malloc<char>(4, "");
-  Log() << Verbose(0) << buffer3 << endl;
+  DoLog(0) && (Log() << Verbose(0) << buffer3 << endl);
   Free(&buffer3);
 
Index: src/unittests/tesselation_insideoutsideunittest.cpp
===================================================================
--- src/unittests/tesselation_insideoutsideunittest.cpp	(revision 474961217a06b448d3cee3f8771fba98ec83555f)
+++ src/unittests/tesselation_insideoutsideunittest.cpp	(revision a67d19a01c3b0bbb8bd6d255ed9a4ffbe37f3138)
@@ -94,7 +94,7 @@
   while ((!TesselStruct->OpenLines.empty()) && (OneLoopWithoutSuccessFlag)) {
     // 2a. fill all new OpenLines
-    Log() << Verbose(1) << "There are " << TesselStruct->OpenLines.size() << " open lines to scan for candidates:" << endl;
+    DoLog(1) && (Log() << Verbose(1) << "There are " << TesselStruct->OpenLines.size() << " open lines to scan for candidates:" << endl);
     for (CandidateMap::iterator Runner = TesselStruct->OpenLines.begin(); Runner != TesselStruct->OpenLines.end(); Runner++)
-      Log() << Verbose(2) << *(Runner->second) << endl;
+      DoLog(2) && (Log() << Verbose(2) << *(Runner->second) << endl);
 
     for (CandidateMap::iterator Runner = TesselStruct->OpenLines.begin(); Runner != TesselStruct->OpenLines.end(); Runner++) {
@@ -102,5 +102,5 @@
       if (baseline->pointlist.empty()) {
         T = (((baseline->BaseLine->triangles.begin()))->second);
-        Log() << Verbose(1) << "Finding best candidate for open line " << *baseline->BaseLine << " of triangle " << *T << endl;
+        DoLog(1) && (Log() << Verbose(1) << "Finding best candidate for open line " << *baseline->BaseLine << " of triangle " << *T << endl);
         TesselationFailFlag = TesselStruct->FindNextSuitableTriangle(*baseline, *T, SPHERERADIUS, LinkedList); //the line is there, so there is a triangle, but only one.
       }
@@ -109,7 +109,7 @@
     // 2b. search for smallest ShortestAngle among all candidates
     double ShortestAngle = 4.*M_PI;
-    Log() << Verbose(1) << "There are " << TesselStruct->OpenLines.size() << " open lines to scan for the best candidates:" << endl;
+    DoLog(1) && (Log() << Verbose(1) << "There are " << TesselStruct->OpenLines.size() << " open lines to scan for the best candidates:" << endl);
     for (CandidateMap::iterator Runner = TesselStruct->OpenLines.begin(); Runner != TesselStruct->OpenLines.end(); Runner++)
-      Log() << Verbose(2) << *(Runner->second) << endl;
+      DoLog(2) && (Log() << Verbose(2) << *(Runner->second) << endl);
 
     for (CandidateMap::iterator Runner = TesselStruct->OpenLines.begin(); Runner != TesselStruct->OpenLines.end(); Runner++) {
